<article class="movie-details-card slds-card slds-m-right_medium slds-m-top_medium slds-m-bottom_medium">
  <ng-container *ngIf="details$ | async as movie; else noMovieSelected">
    <div class="slds-card__header slds-grid"
         data-test-subj="mdbv-movie-details-card"
    >
      <header class="slds-media slds-media_center slds-has-flexi-truncate">
        <div class="slds-media__body">
          <h2 class="slds-card__header-title"
              data-test-subj="mdbv-movie-details-header">
            {{movie.title}}
          </h2>
        </div>
        <div class="slds-no-flex">
          <ngl-rating [rate]="movie.vote_average / 2" isReadonly="true" size="x-small" colorOn="#FFB75D"></ngl-rating>
        </div>
      </header>
    </div>
    <div class="slds-card__body slds-card__body_inner">
      <section>
        <mdbv-movie-poster [url]="movie.poster_path"></mdbv-movie-poster>
        <p class="movie-overview"
           data-test-subj="mdbv-movie-details-overview"
        >{{movie.overview}}</p>
      </section>
    </div>
  </ng-container>
</article>

<ng-template #noMovieSelected>
  <mdbv-no-content-illustration
    class="slds-m-around--large"
    title="No movie selected"
    subtitle="Please select or search a movie"
  ></mdbv-no-content-illustration>
</ng-template>
